#include <stdio.h>

// Función para verificar que los números sean distintos
int sonNumerosDistintos(int a, int b) {
    return a != b; // Devuelve 1 si son distintos, 0 si son iguales
}

// Función para verificar si un número es par
void esPar(int num) {
    if (num % 2 == 0) {
        printf("El número %d es par.\n", num);
    } else {
        printf("El número %d no es par.\n", num);
    }
}

// Función para determinar e imprimir cuál número es mayor
void numeroMayor(int a, int b) {
    if (a > b) {
        printf("El número %d es mayor que %d.\n", a, b);
    } else {
        printf("El número %d es mayor que %d.\n", b, a);
    }
}

int main() {
    int num1, num2;

    // Pedir al usuario que ingrese dos números distintos
    printf("Ingrese el primer número entero: ");
    scanf("%d", &num1);

    printf("Ingrese el segundo número entero: ");
    scanf("%d", &num2);

    // Verificar si los números son distintos
    if (!sonNumerosDistintos(num1, num2)) {
        printf("Los números ingresados no son distintos. Por favor, reinicie el programa.\n");
        return 1; // Terminar el programa con un código de error
    }

    // Determinar si el primer número es par
    esPar(num1);

    // Determinar e imprimir qué número es mayor
    numeroMayor(num1, num2);

    // Mensaje de despedida
    printf("Gracias por usar el programa. ¡Hasta luego!\n");

    return 0;
}
